1.2
1.2
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Description
PrivateLink 엔드포인트를 연결한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5 | string | None |
| body | body required | PrivateLinkEndpointConnectionRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointSummaryShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"type": "CANCEL"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"status": "Active"
}
}